[arch-commits] Commit in python-pytest-cov/repos (2 files)

Felix Yan felixonmars at archlinux.org
Mon Nov 9 19:23:34 UTC 2020


    Date: Monday, November 9, 2020 @ 19:23:33
  Author: felixonmars
Revision: 748048

archrelease: copy trunk to community-staging-any

Added:
  python-pytest-cov/repos/community-staging-any/
  python-pytest-cov/repos/community-staging-any/PKGBUILD
    (from rev 748047, python-pytest-cov/trunk/PKGBUILD)

----------+
 PKGBUILD |   58 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 58 insertions(+)

Copied: python-pytest-cov/repos/community-staging-any/PKGBUILD (from rev 748047, python-pytest-cov/trunk/PKGBUILD)
===================================================================
--- community-staging-any/PKGBUILD	                        (rev 0)
+++ community-staging-any/PKGBUILD	2020-11-09 19:23:33 UTC (rev 748048)
@@ -0,0 +1,58 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Sebastien LEDUC <sebastien at sleduc.fr>
+# Contributor: Andrey Mikhaylenko <neithere at gmail dot com>
+
+pkgbase=python-pytest-cov
+pkgname=('python-pytest-cov' 'python2-pytest-cov')
+pkgver=2.10.1
+pkgrel=2
+pkgdesc='py.test plugin for coverage reporting with support for both centralised and distributed testing, including subprocesses and multiprocessing'
+arch=('any')
+license=('MIT')
+url='https://github.com/schlamar/pytest-cov'
+makedepends=('python-coverage' 'python2-coverage' 'python-setuptools' 'python2-setuptools'
+             'python-pytest' 'python2-pytest')
+checkdepends=('python-virtualenv' 'python2-virtualenv' 'python-process-tests'
+              'python2-process-tests' 'python-pytest-cache' 'python2-pytest-cache'
+              'python-pytest-xdist' 'python2-pytest-xdist' 'python-fields' 'python2-fields')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/pytest-dev/pytest-cov/archive/v$pkgver.tar.gz")
+sha512sums=('b12ea3b7e321cc0921bc88e22003cda169edd807e05efa4814939af97816ed129f8a8b3b646f4ee78e7664fba249197f9bf54d92bccdc3c3401b74d9a5447446')
+
+prepare() {
+  cp -a pytest-cov-$pkgver{,-py2}
+}
+
+build() {
+  cd "$srcdir"/pytest-cov-$pkgver
+  python setup.py build
+
+  cd "$srcdir"/pytest-cov-$pkgver-py2
+  python2 setup.py build
+}
+
+check() {
+  # Hack entry points by installing it
+
+  cd "$srcdir"/pytest-cov-$pkgver
+  python setup.py install --root="$PWD/tmp_install" --optimize=1
+  PYTHONPATH="$PWD/tmp_install/usr/lib/python3.9/site-packages:$PYTHONPATH:$PWD/tests" py.test || echo "Tests failed"
+
+  cd "$srcdir"/pytest-cov-$pkgver-py2
+  python2 setup.py install --root="$PWD/tmp_install" --optimize=1
+  PYTHONPATH="$PWD/tmp_install/usr/lib/python2.7/site-packages:$PYTHONPATH:$PWD/tests" py.test2 || echo "Tests failed"
+}
+
+package_python-pytest-cov() {
+  depends=('python-pytest' 'python-coverage')
+
+  cd pytest-cov-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+}
+
+package_python2-pytest-cov() {
+  depends=('python2-pytest' 'python2-coverage')
+
+  cd pytest-cov-$pkgver-py2
+  python2 setup.py install --root="$pkgdir" --optimize=1
+}
+# vim:set ts=2 sw=2 et:



More information about the arch-commits mailing list